# class MultiTkIp::Command_Queue

### Public Class Methods

new(interp) click to toggle source
Calls superclass method

    # File lib/multi-tk.rb, line 65
    def initialize(interp)
      @interp = interp
      super()
    end

### Public Instance Methods

<<(value)
Alias for: push
close() click to toggle source

    # File lib/multi-tk.rb, line 79
    def close
      @interp = nil
    end

enq(value)
Alias for: push
push(value) click to toggle source
Calls superclass method

    # File lib/multi-tk.rb, line 70
    def push(value)
      if !@interp || @interp.deleted?
        fail RuntimeError, "Tk interpreter is already deleted"
      end
      super(value)
    end

Also aliased as: <<, enq